/*
 *  crc16.h ..... 'C' header for the CRC module, which calculates CRC's for the SLCD5.
 */

/* prevent multiple inclusion of this file: */
#ifndef _CRC16_H
#define _CRC16_H


/* -------------------------------------------------------------------------- */
/* HEADER FILES                                                               */
/* -------------------------------------------------------------------------- */

/* System headers required by this file: */
//WPJ#include <stdio.h>

/* Additional headers required by this file: */
//WPJ#include "commonDefs.h"

/* -------------------------------------------------------------------------- */
/* PROTOTYPES FOR PUBLIC CODE                                                 */
/* -------------------------------------------------------------------------- */

// Calculate the CRC with preset seed
unsigned short CalcCRC(unsigned char *ptr, unsigned int length);

// Calculate the CRC with passed Seed
unsigned short CalcCRCSeed(unsigned char *ptr, unsigned int length, unsigned short seed); 

#endif  /* not _CRC_H */

/* ----- END OF FILE ----- */
